gnome-shell-extensions (3.26.2-3) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * Update Vcs fields for migration to https://salsa.debian.org/

  [ Simon McVittie ]
  * d/patches: Re-export with gbp pq export
  * d/p/places-menu-Don-t-force-dispose-of-uninitialized-proxies.patch:
    Take patch from upstream to avoid frequent tracebacks from the Places
    menu with gjs >= 1.50.2-3 (Closes: #888608)

 -- Simon McVittie <smcv@debian.org>  Tue, 30 Jan 2018 09:15:54 +0000

gnome-shell-extensions (3.26.2-2) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 15 Dec 2017 15:19:14 -0500

gnome-shell-extensions (3.26.2-1) unstable; urgency=medium

  * New upstream release

 -- Michael Biebl <biebl@debian.org>  Sun, 05 Nov 2017 20:17:03 +0100

gnome-shell-extensions (3.26.1-2) unstable; urgency=medium

  * Release to unstable
  * Bump Standards-Version to 4.1.1

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 13 Oct 2017 16:49:30 -0400

gnome-shell-extensions (3.26.1-1) experimental; urgency=medium

  * Team upload
  * New upstream stable release

 -- Simon McVittie <smcv@debian.org>  Fri, 06 Oct 2017 11:01:11 +0100

gnome-shell-extensions (3.26.0-1) experimental; urgency=medium

  * Team upload
  * New upstream stable release

 -- Simon McVittie <smcv@debian.org>  Wed, 13 Sep 2017 11:33:19 +0100

gnome-shell-extensions (3.25.91-1) experimental; urgency=medium

  * Team upload
  * New upstream release, for GNOME Shell 3.25.91
    - d/p/adapt-to-gsd324.patch: Drop, applied upstream
    - Switch dependency to gir1.2-mutter-1

 -- Simon McVittie <smcv@debian.org>  Tue, 05 Sep 2017 16:43:01 +0100

gnome-shell-extensions (3.22.2-2) unstable; urgency=medium

  * Add adapt-to-gsd324.patch (Closes: #869948):
    - Adjust gnome-session file for gnome-settings-daemon 3.24
  * debian/control.in:
    - Bump Standards-Version to 4.0.0
    - Explicitly depend on gnome-settings-daemon >= 3.24
    - Drop version from gnome-tweak-tool recommends
    - Depend on gnome-session-bin instead of gnome-session (LP: #1702832)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 06 Aug 2017 17:38:06 -0400

gnome-shell-extensions (3.22.2-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Thu, 10 Nov 2016 19:36:44 +0100

gnome-shell-extensions (3.22.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 11 Oct 2016 17:58:31 +0200

gnome-shell-extensions (3.22.0-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 20 Sep 2016 01:59:50 +0200

gnome-shell-extensions (3.21.92-1) unstable; urgency=medium

  * New upstream development release.
  * Replace Build-Depends gnome-common with pkg-config and gettext.

 -- Michael Biebl <biebl@debian.org>  Tue, 13 Sep 2016 22:13:19 +0200

gnome-shell-extensions (3.21.91-1) unstable; urgency=medium

  * New upstream beta release.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 30 Aug 2016 19:57:32 +0200

gnome-shell-extensions (3.21.90-1) experimental; urgency=medium

  [ Andreas Henriksson ]
  * New upstream beta release.
  * Update build-dependencies according to configure.ac changes:
    - drop intltool, now gettext is used instead.

  [ Jeremy Bicha ]
  * Convert from cdbs to dh
  * Add debian/docs to install NEWS and README
  * Bump dh compat to 10
  * Update Vcs fields
  * Refresh patches

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 21 Aug 2016 05:36:17 +0200

gnome-shell-extensions (3.21.4-1) experimental; urgency=medium

  * New upstream development release.
  * Stop hard-coding Victor Seva in the Uploaders field

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 12 Aug 2016 16:28:33 +0200

gnome-shell-extensions (3.20.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Wed, 11 May 2016 15:21:35 +0200

gnome-shell-extensions (3.20.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Sun, 17 Apr 2016 00:25:25 +0200

gnome-shell-extensions (3.20.0-1) experimental; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 25 Mar 2016 10:48:00 +0100

gnome-shell-extensions (3.19.92-1) experimental; urgency=medium

  * New upstream release.
  * Update dont-require-nautilus-classic.patch to apply.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 17 Mar 2016 12:51:13 +0100

gnome-shell-extensions (3.18.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.7.

 -- Michael Biebl <biebl@debian.org>  Sun, 06 Mar 2016 22:38:57 +0100

gnome-shell-extensions (3.18.3-2) unstable; urgency=medium

  * Add Breaks/Replaces gnome-shell-common (<< 3.18) (Closes: #808906)
    - Helps upgrades from Jessie by allowing overwriting
      /usr/share/gnome-shell/theme/calendar-today.svg et.al.
      which was previously shipped in gnome-shell-common.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 10 Feb 2016 01:24:42 +0100

gnome-shell-extensions (3.18.3-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Thu, 14 Jan 2016 22:49:16 +0100

gnome-shell-extensions (3.18.2-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Fri, 13 Nov 2015 00:04:09 +0100

gnome-shell-extensions (3.18.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Fri, 16 Oct 2015 22:09:01 +0200

gnome-shell-extensions (3.18.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laurent Bigonville <bigon@debian.org>  Sun, 11 Oct 2015 16:29:18 +0200

gnome-shell-extensions (3.17.92-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 18 Sep 2015 17:28:06 +0200

gnome-shell-extensions (3.16.2-1) unstable; urgency=medium

  [ Emilio Pozuelo Monfort ]
  * debian/gnome-shell-extensions.gsettings-override:
    + Dropped, no longer needed as the enabled extension no longer exists.
      Thanks Artur Rona for noticing. (Closes: #782747)

  [ Michael Biebl ]
  * New upstream release.
  * Update Homepage.
  * Bump debhelper compatibility level to 9.

 -- Michael Biebl <biebl@debian.org>  Thu, 02 Jul 2015 19:13:32 +0200

gnome-shell-extensions (3.16.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control.in,
    debian/rules:
    + The system monitor extension was removed. Drop the libgtop
      build and runtime dependencies and stop enabling it.
  * debian/patches/apps-center-labels.patch,
    debian/patches/window-list-pointerInNotification.patch,
    debian/patches/menu-arrows-icons.patch:
    + Dropped, merged upstream.
  * debian/patches/dont-require-nautilus-classic.patch:
    + Updated for the new version.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 14 Jun 2015 15:23:59 +0200

gnome-shell-extensions (3.14.2-1) unstable; urgency=medium

  * New upstream bugfix release.
  * menu-arrows-icons: new patch. Make arrows consistent with the rest 
    of the shell.
  * apps-center-labels.patch: patch from upstream git. Center labels 
    vertically in the applications menu.
  * window-list-pointerInNotification.patch: patch from upstream git. 
    Update window-list extension for an older shell API change.

 -- Josselin Mouette <joss@debian.org>  Sun, 30 Nov 2014 16:06:59 +0100

gnome-shell-extensions (3.14.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control.in: Bump Standards-Version to 3.9.6 (no further changes)
  * Add missing dependencies against gir packages, including gir1.2-gmenu-3.0,
    this should fix the apps-menu extension for some people (Closes: #765460).

 -- Laurent Bigonville <bigon@debian.org>  Sun, 19 Oct 2014 21:17:58 +0200

gnome-shell-extensions (3.14.0-2) unstable; urgency=medium

  * Drop xrandr from EXTENSIONS_DISABLED, this extension was removed
    upstream.
  * Add new screenshot-window-sizer extension to EXTENSIONS_ENABLED.

 -- Michael Biebl <biebl@debian.org>  Wed, 24 Sep 2014 01:15:32 +0200

gnome-shell-extensions (3.14.0-1) unstable; urgency=medium

  * debian/watch: only scan for stable releases.
  * New upstream release.
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 23 Sep 2014 15:46:30 +0200

gnome-shell-extensions (3.13.91-1) experimental; urgency=medium

  * New upstream development release.

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 06 Sep 2014 11:16:39 -0700

gnome-shell-extensions (3.12.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.5
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 15 Jul 2014 00:06:09 +0200

gnome-shell-extensions (3.12.0-1) experimental; urgency=low

  [ Jean Schurger ]
  * New upstream release (3.10.1)
  * debian/rules: remove one of the 'windowsNavigator' extension listed twice
    and the 'alternative-system-menu' extension (does not exists anymore)
  * debian/copyright: Update 'Format:' line

  [ Andreas Henriksson ]
  * New upstream release (3.12.0)
  * debian/local/gnome-session-classic,
    debian/patches/gnome-session-classic-wrapper-script.patch:
    - update script to include new GNOME_SHELL_SESSION_MODE env variable
      and update patch to apply again.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 04 Apr 2014 21:43:18 +0200

gnome-shell-extensions (3.8.4-2) unstable; urgency=low

  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 13 Oct 2013 18:11:33 +0200

gnome-shell-extensions (3.8.4-1) experimental; urgency=low

  [ Jeremy Bicha ]
  * New upstream release
  * Dropped patches applied in new version:
    - fix-hibernate.patch
    - fix-applications-menu-resolution-change.patch
    - look-in-data-home-for-themes.patch

  [ Michael Biebl ]
  * Add a wrapper script to start the GNOME Classic session as currently
    Xsession doesn't allow to run gnome-session with custom arguments due to
    #653327.

 -- Michael Biebl <biebl@debian.org>  Fri, 11 Oct 2013 18:55:23 +0200

gnome-shell-extensions (3.8.3.1-1) experimental; urgency=low

  [ Jeremy Bicha ]
  * New upstream release
    - default-min-max and static-workspaces extensions have been dropped.
      Use Classic Mode or tweak org.gnome.shell.overrides in dconf-editor
  * debian/control.in:
    - Depend on gnome-session 3.8, required for the new Classic mode.
    - Update homepage
  * debian/patches/dont-require-nautilus-classic.patch:
    - Don't require nautilus-classic since it forces desktop icons
  * debian/patches/fix-applications-menu-resolution-change.patch:
    - Backport commit to not break applications menu when screen resolution
      changes
  * debian/patches/fix-hibernate.patch:
    - Backport patch to fix checking whether hibernate is allowed
  * debian/patches/look-in-data-home-for-themes.patch:
    - Backport commit to also look in XDG_DATA_HOME (usually ~/.local/share/)
      for user themes
  * debian/rules:
    - Run autoreconf

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 16 Aug 2013 20:25:30 +0200

gnome-shell-extensions (3.8.2-1) experimental; urgency=low

  * Team upload

  [ Victor Seva ]
  * Recommends gnome-tweak-tool

  [ Jean Schurger ]
  * New upstream release 3.7.92 (LP: #1017979, #1059152).
  * Enabled new extensions.
  * Dropped 'dock' and 'gajim'.
  * Use ./configure instead of autoreconf.
  * Bumped Standards-Version to 3.9.4.
  * Updated Vcs-Svn.
  * debian/control.in
    - Added runtime dependency to 'gvfs' (>= 1.16.0).
      The 'Places' extension rely on a 'gvfs' linked to 'udisks2'.

  [ Simon McVittie ]
  * New upstream release 3.8.2.
  * Install the "classic mode"
  * Enable windowNavigator extension (this means we have everything except
    example and xrandr, the same as in the Ubuntu gnome3-team's PPA)

 -- Simon McVittie <smcv@debian.org>  Thu, 23 May 2013 09:07:23 +0100

gnome-shell-extensions (3.4.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Wed, 30 May 2012 13:22:54 +0200

gnome-shell-extensions (3.4.0-1) experimental; urgency=low

  * New upstream release.
  * Remove 01_status-menu_disable_accounts.patch: The alternative-status-menu
    extension no longer recreates the complete user menu but reuses the one
    from gnome-shell, so we can't easily get rid of the "Online Accounts" menu
    entry. We will patch gnome-shell directly instead.
  * Remove 02-Revert-all-remove-all-GSettings-usage.patch and
    03-Revert-Remove-all-references-to-localedir-from-metad.patch, no longer
    required.
  * Bump Standards-Version to 3.9.3

 -- Michael Biebl <biebl@debian.org>  Mon, 21 May 2012 00:24:56 +0200

gnome-shell-extensions (3.2.3-1) unstable; urgency=low

  [ Josselin Mouette ]
  * gnome-shell-extensions.gsettings-override: enable the alternative 
    status menu by default. Closes: #648112.
  * Use ${gnome:Version} to generate strict dependencies, it’s very 
    unlikely that extensions remain compatible after a major upgrade.

  [ Michael Biebl ]
  * Upload to unstable.

  [ Josselin Mouette ]
  * 01_status-menu_disable_accounts.patch: new patch. Drop the unusable
    advertisement for Google. It is already available in the control 
    center anyway.

  [ Michael Biebl ]
  * New upstream release.
  * Drop patches which have been merged upstream:
    - debian/patches/upstream/*
    - debian/patches/fix-*
  * Refresh 01_status-menu_disable_accounts.patch.
  * Add 02-Revert-all-remove-all-GSettings-usage.patch: Use GSettings since we
    install the extensions system-wide.
  * Use dh-autoreconf to generate the build system.
  * Add 03-Revert-Remove-all-references-to-localedir-from-metad.patch: Use
    locales from system-wide location.

 -- Michael Biebl <biebl@debian.org>  Sat, 11 Feb 2012 23:28:53 +0100

gnome-shell-extensions (3.2.0-1) experimental; urgency=low

  [ Victor Seva ]
  * Initial release (Closes: #627515)
    Package based on the work by Bilal Akhtar <bilalakhtar@ubuntu.com>
  * debian/copyright
    - Added myself
    - Fixed syntax-error-in-dep5-copyright syntax error
  * debian/control.in
    - Added myself as maintainer.
    - Fix gnome-shell dependency.
    - Fix gir1.2-gtop-2.0 dependency for systemMonitor ext.
  * debian/rules
    - Added uploaders.mk gnome-version.mk includes.
    - Removed unused variables.
  * debian/watch added.
  * No more gnome-shell-extension-* packages.
  * debian/patches/upstream
    - patch_967aee7aad2accfb38d91ab56b6c5e91d86a2722.diff
      popup menu fix
    - patch_66242aa76a5d59fb4659551575c1fbb42e50b8fb.diff
      dock fix.
    - patch_4c5a36e4c0cbe38f2e26b6b3c8b02e88b4b939f7.diff
      patch_2bba98d6214cffae2eb5cecb9d7c1f6b6d244052.diff
      systemMonitor: Properly enable/disable
  * debian/patches
    - fix_dock_gnome-shell_version.diff
    - fix_alternate-tab_661281.diff
    - fix_alternate-tab_gnome-shell_version.diff
  * debian/rules
    - EXTENSIONS_ENABLED, EXTENSIONS_DISABLED variables
    - disabled xrandr-indicator

  [ Michael Biebl ]
  * debian/watch: Track .xz tarballs.
  * debian/control.in:
    - Set pkg-gnome-maintainers@lists.alioth.debian.org as Maintainer and add
      Victor Seva <linuxmaniac@torreviejawireless.org> to Uploaders.
    - Wrap (Build-)Depends.
    - Add Vcs-Svn and Vcs-Browser field.
  * debian/rules:
    - Include gnome-get-source.mk.

 -- Michael Biebl <biebl@debian.org>  Sat, 12 Nov 2011 18:32:22 +0100
